# Подтверждение списания средств

{% hint style="info" %}
Данный метод можно использовать только при [двухстадийном платеже](/platezhnyi-shlyuz/welcom/process-dvukhstadiinogo-platezha.md).
{% endhint %}

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/system/two-stage/charge`

#### Headers

| Name                                            | Type   | Description                                                                                         |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотационный хэш (см [Формирование подписи](/platezhnyi-shlyuz/formirovanie-podpisi.md)) |

#### Request Body

| Name                                              | Type   | Description                                                     |
| ------------------------------------------------- | ------ | --------------------------------------------------------------- |
| transaction\_id<mark style="color:red;">\*</mark> | String | Идентификатор транзакции по которой необходимо сделать списание |
| amount<mark style="color:red;">\*</mark>          | String | Сумма транзакции                                                |
| description                                       | String | Описания                                                        |
| merchant\_id<mark style="color:red;">\*</mark>    | String | Идентификатор мерчанта                                          |
| project\_id<mark style="color:red;">\*</mark>     | String | Идентификатор проекта                                           |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "transaction_id": 45,
        "transaction_status_code": "success",
        "acquirer_code": "bank_code"
    }
}

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    "status": false,
    "status_code": 5406,
    "message": "invalid project secret",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.stage-tarlanpayments.kz/transaction/api/v1/system/two-stage/charge' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer sign' \
--data '{
  "transaction_id": 999,
  "amount": 100
  "project_id": 1
  "merchant_id":10
}'

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/podtverzhdenie-spisaniya-sredstv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
